Package org.springframework.context.annotation

# Class AnnotationConfigBeanDefinitionParser

java.lang.Object
org.springframework.context.annotation.AnnotationConfigBeanDefinitionParser

All Implemented Interfaces:
  `org.springframework.beans.factory.xml.BeanDefinitionParser`

public class AnnotationConfigBeanDefinitionParser extends Object implements org.springframework.beans.factory.xml.BeanDefinitionParser
Parser for the <context:annotation-config/> element.

Since:
  2.5
Author:
  Mark Fisher, Juergen Hoeller, Christian Dupuis
See Also:
  - `AnnotationConfigUtils`

## Constructor Summary

Constructors
Constructor
Description
`AnnotationConfigBeanDefinitionParser()`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.beans.factory.config.BeanDefinition`
`parse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AnnotationConfigBeanDefinitionParser

public AnnotationConfigBeanDefinitionParser()

## Method Details

### parse

@Nullable public org.springframework.beans.factory.config.BeanDefinition parse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext)

Specified by:
  `parse` in interface `org.springframework.beans.factory.xml.BeanDefinitionParser`